

package com.weather.modules.sys.service;

import com.weather.common.page.PageData;
import com.weather.common.service.BaseService;
import com.weather.modules.sys.dto.SysDictDataDTO;
import com.weather.modules.sys.entity.SysDictDataEntity;

import java.util.Map;

/**
 * 数据字典
 *
 * @author 123
 */
public interface SysDictDataService extends BaseService<SysDictDataEntity> {

    PageData<SysDictDataDTO> page(Map<String, Object> params);

    SysDictDataDTO get(Long id);

    void save(SysDictDataDTO dto);

    void update(SysDictDataDTO dto);

    void delete(Long[] ids);

}